{
  "name": "@gridpilot/api",
  "version": "1.0.0",
  "description": "NestJS API service",
  "main": "dist/index.js",
  "scripts": {
    "build": "tsc --build --verbose",
    "start:dev": "npx ts-node-dev --respawn --inspect=0.0.0.0:9229 -r tsconfig-paths/register src/main.ts",
    "start:prod": "node dist/main",
    "test": "vitest run --config vitest.api.config.ts --root ../..",
    "test:coverage": "vitest run --config vitest.api.config.ts --root ../.. --coverage",
    "test:watch": "vitest --config vitest.api.config.ts --root ../..",
    "generate:openapi": "cd ../.. && npm run api:generate-spec"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@nestjs/testing": "^10.4.20",
    "ts-node-dev": "^2.0.0",
    "tsconfig-paths": "^3.15.0"
  },
  "dependencies": {
    "@faker-js/faker": "^9.9.0",
    "@nestjs/common": "^10.4.20",
    "@nestjs/core": "^10.4.20",
    "@nestjs/platform-express": "^10.4.20",
    "@nestjs/swagger": "^7.4.2",
    "@nestjs/typeorm": "^10.0.2",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.3",
    "electron": "39.2.7",
    "next": "15.5.9",
    "pg": "^8.12.0",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.8.1",
    "typeorm": "^0.3.20"
  }
}
